> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aihubmax.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Seedance 2.0 Image to Video

> - Seedance 2.0 image-to-video model, generate videos from a start frame image (optional end frame)
- The standard version supports `480p` / `720p` / `1080p`; Fast supports only `480p` / `720p`
- Supports durations from 4 to 15 seconds and multiple aspect ratios
- Supports synchronized audio generation
- Async processing mode, use the returned task ID to [query task status](/pages/en/api-manual/task-management/get-task-detail)
- Generated video links are valid for 24 hours, please save them promptly




## OpenAPI

````yaml openapi/en/seedance-2.0-image-to-video.json POST /v1/videos/generations
openapi: 3.1.0
info:
  title: Seedance 2.0 Image to Video
  version: '1.0'
servers:
  - url: https://api.aihubmax.com
security:
  - BearerAuth: []
paths:
  /v1/videos/generations:
    post:
      tags:
        - Video > Seedance2.0
      summary: Seedance 2.0 Image to Video
      description: >
        - Seedance 2.0 image-to-video model, generate videos from a start frame
        image (optional end frame)

        - The standard version supports `480p` / `720p` / `1080p`; Fast supports
        only `480p` / `720p`

        - Supports durations from 4 to 15 seconds and multiple aspect ratios

        - Supports synchronized audio generation

        - Async processing mode, use the returned task ID to [query task
        status](/pages/en/api-manual/task-management/get-task-detail)

        - Generated video links are valid for 24 hours, please save them
        promptly
      operationId: seedance-2.0-image-to-video
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Seedance2I2VRequest'
            examples:
              single_image_standard:
                summary: Single Image to Video (Standard)
                value:
                  model: seedance-2.0-image-to-video
                  prompt: Camera slowly pushes in, character turns and smiles
                  image_url: https://example.com/start.png
                  resolution: 720p
                  aspect_ratio: '16:9'
                  duration: 5
              start_end_frame_fast:
                summary: Start & End Frame to Video (Fast)
                value:
                  model: seedance-2.0-fast-image-to-video
                  prompt: >-
                    Camera pushes from an empty morning street to a neon-lit
                    alley at dusk
                  image_url: https://example.com/start.png
                  end_image_url: https://example.com/end.png
                  resolution: 720p
                  aspect_ratio: '16:9'
                  duration: 5
      responses:
        '200':
          $ref: '#/components/responses/TaskCreated'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '402':
          $ref: '#/components/responses/PaymentRequired'
        '422':
          $ref: '#/components/responses/UnprocessableEntity'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalServerError'
        '503':
          $ref: '#/components/responses/ServiceUnavailable'
components:
  schemas:
    Seedance2I2VRequest:
      type: object
      required:
        - model
        - prompt
        - image_url
      properties:
        model:
          description: |-
            Seedance 2.0 image-to-video model variant

            - `seedance-2.0-image-to-video` — Standard
            - `seedance-2.0-fast-image-to-video` — Fast
          examples:
            - seedance-2.0-image-to-video
            - seedance-2.0-fast-image-to-video
          type: string
          default: seedance-2.0-image-to-video
        prompt:
          maxLength: 5000
          minLength: 1
          type: string
          description: |
            Text prompt describing the desired video content.

            **Notes:**
            - Supports Chinese and English
            - Maximum 5000 characters
          example: A corgi running on a rain-soaked street, cinematic shot
        resolution:
          description: >-
            Output video resolution. The standard model supports `480p` / `720p`
            / `1080p`; Fast models support only `480p` / `720p`.
          default: 720p
          examples:
            - 480p
            - 720p
            - 1080p
          type: string
          x-model-enum-overrides:
            seedance-2.0-fast-image-to-video:
              - 480p
              - 720p
            seedance-2.0-fast-reference-to-video:
              - 480p
              - 720p
            seedance-2.0-fast-text-to-video:
              - 480p
              - 720p
        aspect_ratio:
          description: |
            Output video aspect ratio

            **Options:**
            - `16:9`, `4:3`, `1:1`, `3:4`, `9:16`, `21:9`
            - `adaptive` — Automatically selected by model (default)
          default: adaptive
          type: string
          example: adaptive
        duration:
          description: >-
            Output video duration in seconds. Supports integers from `4` to
            `15`, or `-1` to let the model decide. Default `5`.
          default: 5
          type: integer
          example: -1
        generate_audio:
          description: Whether to generate synchronized audio. Default `true`.
          default: true
          type: boolean
          example: true
        seed:
          description: >-
            Random seed. `-1` means auto-generated by model; a fixed integer
            improves result reproducibility.
          default: -1
          type: integer
          example: -1
        image_url:
          type: string
          description: |
            Public URL of the start frame image

            **Notes:**
            - Supports JPEG / PNG / WebP, max 30MB
            - Used as the starting frame for video generation
          example: https://example.com/start.png
        end_image_url:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: >
            Public URL of the end frame image


            **Notes:**

            - When provided, the video will transition from the start frame to
            the end frame

            - Supports JPEG / PNG / WebP, max 30MB

            - If not provided, the model generates freely based on the prompt
          example: https://example.com/end.png
    TaskResponse:
      type: object
      properties:
        created:
          type: integer
          description: Task creation timestamp
          example: 1757165031
        id:
          type: string
          description: Task ID
          example: task-unified-1757165031-uyujaw3d
        model:
          type: string
          description: Actual model name used
        object:
          type: string
          description: Specific task type
          enum:
            - video.generation.task
        progress:
          type: integer
          description: Task progress percentage (0-100)
          minimum: 0
          maximum: 100
          example: 0
        status:
          type: string
          description: Task status
          enum:
            - pending
            - processing
            - completed
            - failed
          example: pending
        task_info:
          type: object
          description: Asynchronous task information
          properties:
            can_cancel:
              type: boolean
              description: Whether the task can be cancelled
              example: true
            estimated_time:
              type: integer
              description: Estimated completion time in seconds
              example: 45
        type:
          type: string
          description: Task output type
          enum:
            - video
          example: video
    ErrorResponse400:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Invalid request format
            type:
              type: string
              example: invalid_request_error
    ErrorResponse401:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Invalid API key
            type:
              type: string
              example: authentication_error
    ErrorResponse402:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Insufficient account balance
            type:
              type: string
              example: insufficient_quota
    ErrorResponse422:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Parameter validation failed
            type:
              type: string
              example: validation_error
    ErrorResponse429:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Rate limit exceeded
            type:
              type: string
              example: rate_limit_error
    ErrorResponse500:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Internal server error
            type:
              type: string
              example: server_error
    ErrorResponse503:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Service temporarily unavailable, please try again later
            type:
              type: string
              example: service_unavailable
  responses:
    TaskCreated:
      description: Task created successfully
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/TaskResponse'
    BadRequest:
      description: Invalid request format
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse400'
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse401'
    PaymentRequired:
      description: Insufficient balance
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse402'
    UnprocessableEntity:
      description: Parameter validation failed
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse422'
    TooManyRequests:
      description: Rate limit exceeded
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse429'
    InternalServerError:
      description: Internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse500'
    ServiceUnavailable:
      description: Service Unavailable
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse503'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |
        ## All APIs require Bearer Token authentication ##

        Add to request header:

        `Authorization: Bearer YOUR_API_KEY`

````